## org.hibernate.persister.entity
Interface DiscriminatorMetadata

    public interface DiscriminatorMetadata

Provides the information needed to properly handle type discrimination in HQL queries, either by 'something.class' or 'type(something)' references.

Author:
  Steve Ebersole

Method Summary
`Type` `getResolutionType()` Get the type used to resolve the actual discriminator value resulting from `getSqlFragment(java.lang.String)` back into a `Class` reference.
`String` `getSqlFragment(String sqlQualificationAlias)` Get the sql fragment that is used to determine the actual discriminator value for a row.

Method Detail

### getSqlFragment

    String getSqlFragment(String sqlQualificationAlias)

  Get the sql fragment that is used to determine the actual discriminator value for a row.

  Parameters:
    `sqlQualificationAlias` - The qualification alias to append to any columns references in the generated fragment.
  Returns:
    The fragment

### getResolutionType

    Type getResolutionType()

  Get the type used to resolve the actual discriminator value resulting from `getSqlFragment(java.lang.String)` back into a `Class` reference.

  Returns:
    The resolution type.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.